Package com.smartgwt.client.types

# Enum ErrorCategory

java.lang.Object
java.lang.Enum<ErrorCategory>
com.smartgwt.client.types.ErrorCategory

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<ErrorCategory>`, `Constable`

public enum ErrorCategory extends Enum<ErrorCategory> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXPECTED`
  part of the application's normal operation (for example, a validation error) - UnexpectedErrorTask skips the standard centralized error dialog.
  `UNEXPECTED`
  a genuine infrastructure or programming problem - UnexpectedErrorTask shows the standard centralized error dialog.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static ErrorCategory`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ErrorCategory[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EXPECTED

    public static final ErrorCategory EXPECTED
    part of the application's normal operation (for example, a validation error) - UnexpectedErrorTask skips the standard centralized error dialog.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "expected".

  - ### UNEXPECTED

    public static final ErrorCategory UNEXPECTED
    a genuine infrastructure or programming problem - UnexpectedErrorTask shows the standard centralized error dialog.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "unexpected".

- ## Method Details

  - ### values

    public static ErrorCategory[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ErrorCategory valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`